package com.cim.idm.wmspackage.materialshiprequestdetail.management.data;


import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import lombok.Getter;

public class MaterialShipRequestDetail extends FieldAccessor implements DataInfo<MaterialShipRequestDetailKey> {
	private MaterialShipRequestDetailKey key;
	
	private String materialSpecName;
	private String grade;
	private String domesticExport;
	private double requestQuantity;
	private double assignedQuantity;


	
	private String posid;

    public String getPosid() {
        return posid;
    }

    public void setPosid(String posid) {
        this.posid = posid;
    }
    
    //////////////////////////////////////////////////////////////////////////////////////////////////
    // 2024.09.26
    @UserColumnMark
    private String seq;
    @UserColumnMark
    private String wbs_O;
    @UserColumnMark
    private String wbs_N;
    @UserColumnMark
    private String meIns;
    @UserColumnMark
    private String erfMe;
    @UserColumnMark
    private String xloEk;
    @UserColumnMark
    private String kzEar;
    @UserColumnMark
    private String xwaOk;
    @UserColumnMark
    private String liFnr;
    @UserColumnMark
    private String name1;
    @UserColumnMark
    private String bwtar;
    @UserColumnMark
    private String sobkz;

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getWbs_O() {
        return wbs_O;
    }

    public void setWbs_O(String wbs_O) {
        this.wbs_O = wbs_O;
    }

    public String getWbs_N() {
        return wbs_N;
    }

    public void setWbs_N(String wbs_N) {
        this.wbs_N = wbs_N;
    }

    public String getMeIns() {
        return meIns;
    }

    public void setMeIns(String meIns) {
        this.meIns = meIns;
    }

    public String getErfMe() {
        return erfMe;
    }

    public void setErfMe(String erfMe) {
        this.erfMe = erfMe;
    }

    public String getXloEk() {
        return xloEk;
    }

    public void setXloEk(String xloEk) {
        this.xloEk = xloEk;
    }

    public String getKzEar() {
        return kzEar;
    }

    public void setKzEar(String kzEar) {
        this.kzEar = kzEar;
    }

    public String getXwaOk() {
        return xwaOk;
    }

    public void setXwaOk(String xwaOk) {
        this.xwaOk = xwaOk;
    }

    public String getLiFnr() {
        return liFnr;
    }

    public void setLiFnr(String liFnr) {
        this.liFnr = liFnr;
    }

    public String getName1() {
        return name1;
    }

    public void setName1(String name1) {
        this.name1 = name1;
    }

    public String getBwtar() {
        return bwtar;
    }

    public void setBwtar(String bwtar) {
        this.bwtar = bwtar;
    }

    public String getSobkz() {
        return sobkz;
    }

    public void setSobkz(String sobkz) {
        this.sobkz = sobkz;
    }




    
    //////////////////////////////////////////////////////////////////////////////////////////////////
    
	
	@UserColumnMark
	private String erpFactoryName;
	@UserColumnMark
	private String loadPosition;
	public String getLoadPosition() {
		return loadPosition;
	}
	public void setLoadPosition(String loadPosition) {
		this.loadPosition = loadPosition;
	}
	@UserColumnMark
	private String charge;
	@UserColumnMark
	private String phase;
	@UserColumnMark
	private String erpLocation;
	@UserColumnMark
	private String reasonCode;
	@UserColumnMark
	private String reasonCodeType;
	@UserColumnMark
	private String returnTypeDesc;
	@UserColumnMark
	private String erpReceiveLocation;
	@UserColumnMark
	private String workOrder;
	@UserColumnMark
	private String supplierNO;
	@UserColumnMark
	private String erpFactory;
	@UserColumnMark
	private String deliveryAddress;
	@UserColumnMark
	private String auart;

	public String getDeliveryAddress() {
		return deliveryAddress;
	}

	public void setDeliveryAddress(String deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}



	public String getAuart() {
		return auart;
	}

	public void setAuart(String auart) {
		this.auart = auart;
	}



	public String getSaleOutQuantity() {
		return saleOutQuantity;
	}

	public void setSaleOutQuantity(String saleOutQuantity) {
		this.saleOutQuantity = saleOutQuantity;
	}

	@UserColumnMark
	private String saleOutQuantity;


	public String getSupplierNO() {
		return supplierNO;
	}
	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}
	public String getReasonCode() {
		return reasonCode;
	}
	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}
	public String getReasonCodeType() {
		return reasonCodeType;
	}
	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}
	public String getReturnTypeDesc() {
		return returnTypeDesc;
	}
	public void setReturnTypeDesc(String returnTypeDesc) {
		this.returnTypeDesc = returnTypeDesc;
	}
	@UserColumnMark
	private String workOrderType;
	@UserColumnMark
	private String line;

	public String getWidth() {
		return width;
	}

	public void setWidth(String width) {
		this.width = width;
	}

	public String getLength() {
		return length;
	}

	public void setLength(String length) {
		this.length = length;
	}

	public String getVolume() {
		return volume;
	}

	public void setVolume(String volume) {
		this.volume = volume;
	}

	public String getSalesorder() {
		return salesorder;
	}

	public void setSalesorder(String salesorder) {
		this.salesorder = salesorder;
	}

	public String getSalesorderdetailno() {
		return salesorderdetailno;
	}

	public void setSalesorderdetailno(String salesorderdetailno) {
		this.salesorderdetailno = salesorderdetailno;
	}

	public String getCustomerMaterial() {
		return customerMaterial;
	}

	public void setCustomerMaterial(String customerMaterial) {
		this.customerMaterial = customerMaterial;
	}

	public String getCustomerProduct() {
		return customerProduct;
	}

	public void setCustomerProduct(String customerProduct) {
		this.customerProduct = customerProduct;
	}

	public String getTexture() {
		return texture;
	}

	public void setTexture(String texture) {
		this.texture = texture;
	}

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public String getReleaseForce() {
		return releaseForce;
	}

	public void setReleaseForce(String releaseForce) {
		this.releaseForce = releaseForce;
	}

	public String getTubeCore() {
		return tubeCore;
	}

	public void setTubeCore(String tubeCore) {
		this.tubeCore = tubeCore;
	}

	public String getCustomerStash() {
		return customerStash;
	}

	public void setCustomerStash(String customerStash) {
		this.customerStash = customerStash;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getReservedNumber() {
		return reservedNumber;
	}

	public void setReservedNumber(String reservedNumber) {
		this.reservedNumber = reservedNumber;
	}

	public String getReservedProjectNumb() {
		return reservedProjectNumb;
	}

	public void setReservedProjectNumb(String reservedProjectNumb) {
		this.reservedProjectNumb = reservedProjectNumb;
	}

	public String getReceiveProductionOrderNumber() {
		return receiveProductionOrderNumber;
	}

	public void setReceiveProductionOrderNumber(String receiveProductionOrderNumber) {
		this.receiveProductionOrderNumber = receiveProductionOrderNumber;
	}

	public String getIssueProductionOrderNumber() {
		return issueProductionOrderNumber;
	}

	public void setIssueProductionOrderNumber(String issueProductionOrderNumber) {
		this.issueProductionOrderNumber = issueProductionOrderNumber;
	}

	public String getProductionSupervisor() {
		return productionSupervisor;
	}

	public void setProductionSupervisor(String productionSupervisor) {
		this.productionSupervisor = productionSupervisor;
	}

	public String getCostCenter() {
		return costCenter;
	}

	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}

	public String getCombinationOrderNumber() {
		return combinationOrderNumber;
	}

	public void setCombinationOrderNumber(String combinationOrderNumber) {
		this.combinationOrderNumber = combinationOrderNumber;
	}

	public String getZspec() {
		return zspec;
	}

	public void setZspec(String zspec) {
		this.zspec = zspec;
	}

	public String getUseDate() {
		return useDate;
	}

	public void setUseDate(String useDate) {
		this.useDate = useDate;
	}

	public String getSendSalesOrder() {
		return sendSalesOrder;
	}

	public void setSendSalesOrder(String sendSalesOrder) {
		this.sendSalesOrder = sendSalesOrder;
	}

	public String getSendSalesOrderDetailNo() {
		return sendSalesOrderDetailNo;
	}

	public void setSendSalesOrderDetailNo(String sendSalesOrderDetailNo) {
		this.sendSalesOrderDetailNo = sendSalesOrderDetailNo;
	}

	public String getSourceNo() {
		return sourceNo;
	}

	public void setSourceNo(String sourceNo) {
		this.sourceNo = sourceNo;
	}

	public String getReceiveSalesOrder() {
		return receiveSalesOrder;
	}

	public void setReceiveSalesOrder(String receiveSalesOrder) {
		this.receiveSalesOrder = receiveSalesOrder;
	}

	public String getReceiveSalesOrderDetailNo() {
		return receiveSalesOrderDetailNo;
	}

	public void setReceiveSalesOrderDetailNo(String receiveSalesOrderDetailNo) {
		this.receiveSalesOrderDetailNo = receiveSalesOrderDetailNo;
	}

	public String getErpReceiveFactory() {
		return erpReceiveFactory;
	}

	public void setErpReceiveFactory(String erpReceiveFactory) {
		this.erpReceiveFactory = erpReceiveFactory;
	}

	public String getCauseOfMovement() {
		return causeOfMovement;
	}

	public void setCauseOfMovement(String causeOfMovement) {
		this.causeOfMovement = causeOfMovement;
	}

	public double getReturnQuantity() {
		return returnQuantity;
	}

	public void setReturnQuantity(double returnQuantity) {
		this.returnQuantity = returnQuantity;
	}


	//NEW
	@Getter
	@UserColumnMark
	private String width;
	@UserColumnMark
	private String length;
	@UserColumnMark
	private String volume;
	@UserColumnMark
	private String salesorder;
	@UserColumnMark
	private String salesorderdetailno;
	@UserColumnMark
	private String customerMaterial;
	@UserColumnMark
	private String customerProduct;
	@UserColumnMark
	private String texture;
	@UserColumnMark
	private String color;
	@UserColumnMark
	private String releaseForce;
	@UserColumnMark
	private String tubeCore;
	@UserColumnMark
	private String customerStash;
	@UserColumnMark
	private String unit;
	@UserColumnMark
	private String reservedNumber;
	@UserColumnMark
	private String reservedProjectNumb;
	@UserColumnMark
	private String receiveProductionOrderNumber;
	@UserColumnMark
	private String issueProductionOrderNumber;
	@UserColumnMark
	private String productionSupervisor;
	@UserColumnMark
	private String costCenter;
	@UserColumnMark
	private String combinationOrderNumber;
	@UserColumnMark
	private String zspec;
	@UserColumnMark
	private String useDate;
	@UserColumnMark
	private String sendSalesOrder;
	@UserColumnMark
	private String sendSalesOrderDetailNo;
	@UserColumnMark
	private String sourceNo;

	@UserColumnMark
	private String receiveSalesOrder;
	@UserColumnMark
	private String receiveSalesOrderDetailNo;
	@UserColumnMark
	private String erpReceiveFactory;
	@UserColumnMark
	private String causeOfMovement;
	@UserColumnMark
	private double returnQuantity;

	public String getClosedFlag() {
		return closedFlag;
	}

	public void setClosedFlag(String closedFlag) {
		this.closedFlag = closedFlag;
	}

	public String getGoalMaterialSpec() {
		return goalMaterialSpec;
	}

	public void setGoalMaterialSpec(String goalMaterialSpec) {
		this.goalMaterialSpec = goalMaterialSpec;
	}

	@UserColumnMark
	private String closedFlag;
	@UserColumnMark
	private String goalMaterialSpec;
	
	public String getWorkOrder() {
		return workOrder;
	}
	public void setWorkOrder(String workOrder) {
		this.workOrder = workOrder;
	}
	public String getWorkOrderType() {
		return workOrderType;
	}
	public void setWorkOrderType(String workOrderType) {
		this.workOrderType = workOrderType;
	}
	public String getLine() {
		return line;
	}
	public void setLine(String line) {
		this.line = line;
	}
	public String getReturnType() {
		return returnType;
	}
	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@UserColumnMark
	private String returnType;
	@UserColumnMark
	private String remark;
	
	
	public String getErpReceiveLocation() {
		return erpReceiveLocation;
	}
	public void setErpReceiveLocation(String erpReceiveLocation) {
		this.erpReceiveLocation = erpReceiveLocation;
	}
	
	public String getCharge() {
		return charge;
	}
	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getPhase() {
		return phase;
	}
	public void setPhase(String phase) {
		this.phase = phase;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}	
	
	public MaterialShipRequestDetailKey getKey() {
		return key;
	}
	public void setKey(MaterialShipRequestDetailKey key) {
		this.key = key;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getDomesticExport() {
		return domesticExport;
	}
	public void setDomesticExport(String domesticExport) {
		this.domesticExport = domesticExport;
	}
	public double getRequestQuantity() {
		return requestQuantity;
	}
	public void setRequestQuantity(double requestQuantity) {
		this.requestQuantity = requestQuantity;
	}
	public double getAssignedQuantity() {
		return assignedQuantity;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public void setAssignedQuantity(double assignedQuantity) {
		this.assignedQuantity = assignedQuantity;
	}
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}



}
